// maAudioWin.h

/*
 * MoreAmp
 * Copyright (C) 2004-2010 moreforge
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
 *
 */

#ifndef __MAAUDIOWIN_H__
#define __MAAUDIOWIN_H__

#ifdef __MAWIN__

#ifdef __cplusplus
extern "C"
{
#endif

#include "maPlayer.h"

int maOpenSndChannel();
void maCloseSndChannel(int wait);
int maPause(int pause);
void maOutputSetVolume(int volumeL, int volumeR);	
int maOutputToSound(void* pcmblock, unsigned long frames, unsigned long len, int whichbuf);

#if defined(AUDIO_PORTAUDIO)
 int maPaTerminate();
 #define AUBUFSIZE (4 * SOUNDBUFSIZE)
 extern char g_aubuf[];
 extern maFifo g_aufifo;
 extern maFifo *g_paufifo;
#else
 extern int g_semwaiting;
#endif

#ifdef __cplusplus
}
#endif

#endif // __MAWIN__

#endif // __MAAUDIOWIN_H__

// eof