#!/bin/sh

echo $0

# mamkosxnative.sh
# makes moreamp for osx with the native osx (Interface Builder) gui
# using prebuilt libs in the MoreAmp libs/*/osx dirs
#--------------------------------------------------------------------------

# setup libogg/include/ogg/config_types.h for ppc or intel
proc=`uname -p`
ppc=`echo $proc | fgrep powerpc`
if [ "$ppc" != "" ]; then
 # setup libogg/include/ogg/config_types.h for ppc or intel
 cmp ./libs/libogg/include/ogg/config_types.h  ./libs/libogg/include/ogg/config_typesIntel.h
 if [ $? == "0" ]; then # it is the Intel one, change it
  cp -p ./libs/libogg/include/ogg/config_typesPPC.h  ./libs/libogg/include/ogg/config_types.h
 fi
 # setup faac/config.h for ppc or intel
 cmp ./libs/faac/config.h  ./libs/faac/configOSXintel.h
 if [ $? == "0" ]; then # it is the Intel one, change it
  cp -p /libs/faac/configOSXppc.h  ./libs/faac/config.h
 fi
fi

# cleanup from any previous configure
make distclean
rm -fr autom4te.cache; rm -f configtemplate.h
autoheader; aclocal; autoconf

# make moreamp
chmod +x configure
./configure --with-gui=native
make
rm -fr MoreAmpN.app
mv MoreAmp.app MoreAmpN.app
cp -fR mac/osxnib/*.nib MoreAmpN.app/Contents/Resources

#--------------------------------------------------------------------------
