#!/bin/sh

echo $0

# script mamkosxgtk2sys.sh
# makes moreamp for osx-X11 using 'system' libs (installed in /usr/local)
# and GTK+2 for the GUI
#--------------------------------------------------------------------------

# cleanup from any previous configure
make distclean
rm -fr autom4te.cache; rm -f configtemplate.h
autoheader; aclocal; autoconf

# make moreamp
./configure --with-macunix \
            --with-gui=native2 \
            --with-portaudio=system --with-jack=system --with-audioin \
            --with-cdparanoia=system \
            --with-mad=system \
            --with-id3tag=system \
            --with-lame=system \
            --with-vorbis=system \
            --with-flac=system \
            --with-faad=system \
            --with-mp4v2=system \
            --with-faac=system \

rm -fr moreampgtk2sys
make
mv moreamp moreampgtk2sys

#--------------------------------------------------------------------------
