#!/bin/sh

echo $0

test/mamkwxT.sh $1 $2 $3
if [ "$?" != "0" ]; then
 echo "$0 failed"
 exit 0
fi

make distclean;
rm -fr autom4te.cache;
rm -f configtemplate.h;
autoheader;
autoconf >configure configure.in; chmod +x configure
./configure	--with-mad=system \
		--with-vorbis=system \
		--with-faad=system \
		--with-lame=system \
		--with-portaudio=system --with-jack=system --with-audioin \
		--with-faac=system \
		--with-mp4v2=system \
		--with-macunix \
		--with-flac=system \
		--with-id3tag=system
make

if  [ "$2" = "4" ]; then
 rm -f moreampsyswxx11242
 mv moreamp moreampsyswxx11242
else
 if  [ "$2" = "6" ]; then
  rm -f moreampsyswxx11263
  mv moreamp moreampsyswxx11263
 else
  rm -f moreampsyswxx11
  mv moreamp moreampsyswxx11
 fi
fi
